<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Hacknet](./bitburner.hacknet.md) &gt; [purchaseNode](./bitburner.hacknet.purchasenode.md)

## Hacknet.purchaseNode() method

Purchase a new hacknet node.

**Signature:**

```typescript
purchaseNode(): number;
```
**Returns:**

number

The index of the Hacknet Node or if the player cannot afford to purchase a new Hacknet Node the function will return -1.

## Remarks

RAM cost: 0 GB

Purchases a new Hacknet Node. Returns a number with the index of the Hacknet Node. This index is equivalent to the number at the end of the Hacknet Node’s name (e.g. The Hacknet Node named `hacknet-node-4` will have an index of 4).

If the player cannot afford to purchase a new Hacknet Node then the function will return -1.

